Name:          augeas
Version:       1.9.0
Release:       1mamba
Summary:       A command line tool that focuses on the most basic problem in handling Linux configurations programmatically
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://augeas.net/
Source:        http://download.augeas.net/augeas-%{version}.tar.gz
Patch0:        augeas-1.5.0-gcc-6.2.0.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: liblzma-devel
BuildRequires: libreadline-devel
BuildRequires: libselinux-devel
BuildRequires: libtermcap-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Augeas is a library and command line tool that focuses on the most basic problem in handling Linux configurations programmatically: editing actual configuration files in a controlled manner.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A library that focuses on the most basic problem in handling Linux configurations programmatically

%description -n lib%{name}
Augeas is a library and command line tool that focuses on the most basic problem in handling Linux configurations programmatically: editing actual configuration files in a controlled manner.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch0 -p1

%build
%configure \
   LIBS="-ltermcap"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/augparse
%{_bindir}/augtool
%{_bindir}/dump
%{_bindir}/fadot
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim
%{_datadir}/vim/vimfiles/syntax/augeas.vim
%{_mandir}/man1/augparse.1*
%{_mandir}/man1/augtool.1*
%doc AUTHORS COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libaugeas.so.*
%{_libdir}/libfa.so.*
%dir %{_datadir}/augeas
%dir %{_datadir}/augeas/lenses
%dir %{_datadir}/augeas/lenses/dist
%{_datadir}/augeas/lenses/dist/*.aug
%dir %{_datadir}/augeas/lenses/dist/tests
%{_datadir}/augeas/lenses/dist/tests/*.aug

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/augeas.h
%{_includedir}/fa.h
%{_libdir}/libaugeas.a
%{_libdir}/libaugeas.la
%{_libdir}/libaugeas.so
%{_libdir}/libfa.a
%{_libdir}/libfa.la
%{_libdir}/libfa.so
%{_libdir}/pkgconfig/augeas.pc
%doc ChangeLog NEWS README

%changelog
* Thu Nov 30 2017 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic update by autodist

* Tue Aug 22 2017 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Tue May 02 2017 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Wed Dec 07 2016 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Mon Jun 22 2015 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic update by autodist

* Sun Nov 16 2014 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic update by autodist

* Tue Jul 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- add LIBS=-ltermcap

* Thu Jul 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- package created using the webbuild interface
